Subject: Re: Posix utils (was EGCS 1.0.2: weird include paths with gcc -b, specs, etc)
From: [email-masked] (Stephen L Arnold)

24 Aug 1998 03:13:22 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: [email-masked]

On 22 Aug 98, Paul Garceau had this to say about Re: EGCS 1.0.2: 
weird include paths with gcc -b, :

> On 21 Aug 98, at 14:56, the Illustrious Mumit Khan wrote:
> 
> > On Mon, 17 Aug 1998, Fieldhouse, Dirk wrote:
> > 
> > > ref: Earnie Boyd's
> > > http://www.cygnus.com/ml/gnu-win32/1998-Apr/0028.html
> > > 
> > > I'm trying to set up a dual cygwin32/mingw32 environment with the egcs
> > > 1.0.2 cygwin32 binaries and being defeated by some strange behaviour
> > > with search paths.
> > > 
> > > The binary distribution of egcs-1.0.2 for cygwin32 seems to have some
> > > hard-wired directories built into it, specifically
> > > 
> > > 	../../../../../include
> > > and 
> > >  	../../../../i386-cygwin32/include

[snip]

>  Mine is an i86/NT4 and has had the Posix utilities added from 
> the MS NT4 Workstation Resource Kit.
> 
>  This set of Posix utilities, if anyone would wish to re-build them, need
>  to be built under NTFS.  The pre-built binaries themselves 
> function just fine in a FAT partition.
> 
>  The source and pre-built binaries are copyright to The Regents 
> of the University of California and based in part on BSD Networking 
> software licensed from the University of California, Berkeley.
> 
>  This set of utilities recognizes the "Cygnus unlibsubdir" as a 
> valid directory reference simply because it is a fully compatible 
> directory structure as far as the included Posix utilities are 
> concerned.
> 
>  As a suggestion, for those of you who do have problems with 
> this "Cygnus unlibsubdir" who _are_ using an MS/i86 based 
> platform might want to take note and see if you can get the above 
> mentioned utilities for your respective operating system(s).

Excuse my ignorance, but can these tools be built for win95/98?  Or 
is it another one of those NT only things?  My small brain can only 
hold so much these days, so I may have to stick to linux for the 
EGCS & glibc2 stuff...

If anyone's interested, I put together a goofy little web page for 
the other folks in my C class with links to the cygwin32, EGCS, 
ntemacs, and other free win32 tools (and some linux and other 
stuff).  It's at:

http://www.rain.org/~sarnold

Comments, flames, suggestions welcome

Later, Steve

PS.  Could I get some feedback on these too?

On 19 Aug 98, Stephen L Arnold had stupid newbie questions:

> What does cygpath.exe do?
> 
> The following environment variables are set in the
> cygnus.bat file.
> 
> GCC_EXEC_PREFIX='D:\USR\CYGWIN\H-I386~1\lib\gcc-lib\'
> GDBTK_LIBRARY=D:/usr/Cygwin/share/gdbtcl
> CYGFS=D:/usr/Cygwin
> 
> These others (below) are obviously wrong; where are they
> set?  I'm  using win95, so I guess I can't have an /etc
> directory :-(  Should  I set them in my .bashrc?  
> If so, what directories should they  point to?
>
> CPLUS_INCLUDE_PATH=/usr/lib/g++include
> C_INCLUDE_PATH=/usr/include
> 
> What about all the other default env. variables?  Where can I 
> change them (or do I need to set/zero them in my .bashrc file)?

*************************************************************
Steve Arnold                            [email-masked]
This message composed of 100% recycled electrons.  You should
also recycle yourself.  Become an organ donor (8-)@
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".